<?php

namespace App\Repositories;

use App\Models\MouldSettings;
use App\Repositories\BaseRepository;

/**
 * Class MouldSettingsRepository
 * @package App\Repositories
 * @version October 13, 2019, 4:03 am UTC
*/

class MouldSettingsRepository extends BaseRepository
{
    /**
     * @var array
     */
    protected $fieldSearchable = [
        
    ];

    /**
     * Return searchable fields
     *
     * @return array
     */
    public function getFieldsSearchable()
    {
        return $this->fieldSearchable;
    }

    /**
     * Configure the Model
     **/
    public function model()
    {
        return MouldSettings::class;
    }
}
